notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)
Ukraine
Some details on the 2023-01-16 website outage.
We just rebooted with several updates: * new HMTLify code * no port maintainer is now highly visible (e.g. https://freshports.org/security/sssd/) * fixed search logic error when using plain/ text details at https://github.com/FreshPorts/freshports/releases/tag/2.2.34
Port details
py-graphtool Python module for complex network based on C++
2.2.12_5 math Deleted on this many watch lists=0 search for ports that depend on this port Find issues related to this port Report an issue related to this port View this port on Repology. pkg-fallout Version of this port present on the latest quarterly branch.
Broken BROKEN: fails to build
Deprecated DEPRECATED: Broken for more than 6 months
Expired This port expired on: 2014-05-27
Ignore IGNORE: is marked as broken: fails to build
Maintainer: dikshie@sfc.wide.ad.jp search for ports maintained by this maintainer
Port Added: 2011-06-03 00:42:31
Last Update: 2014-05-27 19:03:51
SVN Revision: 355563
Also Listed In: python
License: not specified in port
Description:
Homepage    cgit ¦ GitHub ¦ GitHub ¦ GitLab ¦ SVNWeb
pkg-plist: as obtained via: make generate-plist
There is no configure plist information for this port.
Dependency lines:
  • graphtool>0:math/py-graphtool
No installation instructions:
This port has been deleted.
PKGNAME: graphtool
Flavors: there is no flavor information for this port.
distinfo:
There is no distinfo for this port.

No package information for this port in our database
Sometimes this happens. Not all ports have packages. This is doubly so for new ports, like this one.

Dependencies
NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.
Build dependencies:
  1. numeric.py : math/py-numpy
  2. py27-matplotlib>=0.90.1 : math/py-matplotlib
  3. py27-scipy>=0.8.0 : science/py-scipy
  4. python2.7 : lang/python27
  5. gmake : devel/gmake
  6. gcc47 : lang/gcc
  7. as : devel/binutils
Runtime dependencies:
  1. python2.7 : lang/python27
  2. gcc47 : lang/gcc
Library dependencies:
  1. libboost_python.so : devel/boost-python-libs
  2. libboost_graph.so : devel/boost-libs
  3. libCGAL.so : math/cgal
There are no ports dependent upon this port

Configuration Options:
Options name:
FreshPorts was unable to extract/find any pkg message

Master Sites:
Expand this list (2 items)
Collapse this list.
  1. http://distcache.FreeBSD.org/ports-distfiles/
  2. http://downloads.skewed.de/graph-tool/
Collapse this list.
Port Moves
  • port deleted on 2014-05-27
    REASON: Has expired: Broken for more than 6 months

Number of commits found: 16

Commit History - (may be incomplete: for full details, see links to repositories near top of page)
CommitCreditsLog message
2.2.12_5
27 May 2014 19:03:51
Revision:355563Original commit files touched by this commit
rene search for other commits by this committer
Remove expired ports:
2014-05-27 math/py-graphtool: Broken for more than 6 months
2014-05-27 devel/clint: Broken for more than 6 months
2.2.12_5
26 May 2014 12:28:34
Revision:355316Original commit files touched by this commit
miwi search for other commits by this committer
- Convert gmake,bzip2 to USES

Approved by:	portmgr
2.2.12_5
27 Apr 2014 15:26:13
Revision:352431Original commit files touched by this commit
antoine search for other commits by this committer
Deprecate ports broken for more than 6 months

With hat:	portmgr
2.2.12_5
10 Mar 2014 20:55:22
Revision:347809Original commit files touched by this commit
gerald search for other commits by this committer
Update the default version of GCC used in the Ports Collection from
GCC 4.6.4 to GCC 4.7.3.  This entails updating the lang/gcc port as
well as changing the default in Mk/bsd.default-versions.mk.

Part II, Bump PORTREVISIONs.

PR:		182136
Supported by:	Christoph Moench-Tegeder <cmt@burggraben.net> (fixing many ports)
Tested by:	bdrewery (two -exp runs)
2.2.12_4
07 Feb 2014 11:44:09
Revision:343214Original commit files touched by this commit
bapt search for other commits by this committer
Chase boost and icu bump
While here convert some LIB_DEPENDS
2.2.12_3
12 Dec 2013 13:01:41
Revision:336260Original commit files touched by this commit
bapt search for other commits by this committer
Convert LIB_DEPENDS for ports depending on boost
2.2.12_3
26 Oct 2013 00:52:36
Revision:331644Original commit files touched by this commit
gerald search for other commits by this committer
Update to libmpc version 1.0.1 which brings the following fixes:

 - Switched to automake 1.11.6, see CVE-2012-3386.
 - #14669: Fixed extraction of CC from gmp.h.
 - Fixed case of intermediate zero real or imaginary part in mpc_fma,
   found by hydra with GMP_CHECK_RANDOMIZE=1346362345.

This is on top of the following changes from version 1.0

 - Licence change towards LGPLv3+ for the code and GFDLv1.3+ (with no
   invariant sections) for the documentation.
 - 100% of all lines are covered by tests
 - Renamed functions
   . mpc_mul_2exp to mpc_mul_2ui
   . mpc_div_2exp to mpc_div_2ui
(Only the first 15 lines of the commit message are shown above View all of this commit message)
2.2.12_2
24 Oct 2013 09:39:14
Revision:331470Original commit files touched by this commit
koobs search for other commits by this committer
math/py-graphtool: Set BROKEN, fails to build

- Set BROKEN, fails to build
- Update CGAL shared library version in LIB_DEPENDS

PR:		ports/182392
Submitted by:	Mohamad Fauzie <dikshie@sfc.wide.ad.jp> (maintainer)
Approved by:	maintainer
2.2.12_2
20 Sep 2013 20:55:06
Revision:327746Original commit files touched by this commit
bapt search for other commits by this committer
Add NO_STAGE all over the place in preparation for the staging support (cat:
math)
2.2.12_2
17 Aug 2013 16:27:24
Revision:324851Original commit files touched by this commit
gerald search for other commits by this committer
Replace USE_GCC=4.6+ and USE_GCC=4.4+ by USE_GCC=yes.

Right now this is a noop in the former case and a noop in the latter
case unless lang/gcc44 has been installed explicitly.

This puts a bit more emphasis on standardizing on a canonical version
"current" GCC and makes it easier to update that canonical version
by changing the default in Mk/bsd.gcc.mk and updating the lang/gcc port.

That is, USE_GCC=yes means "use a decent/modern version of GCC" without
having to worry about details.

Approved by:	portmgr (bdrewery)
2.2.12_2
31 Jan 2013 13:38:43
Revision:311310Original commit files touched by this commit
bapt search for other commits by this committer
Chase boost update
2.2.12_1
01 Jun 2012 05:26:28
Original commit files touched by this commit
dinoex search for other commits by this committer
- update png to 1.5.10
2.2.12
08 Apr 2012 13:44:29
Original commit files touched by this commit
gerald search for other commits by this committer
Replace USE_GCC=4.5+ by USE_GCC=4.6+ which has been transparently
done by the ports infrastructure for a while.

Approved by:    maintainer (dikshie@sfc.wide.ad.jp)
Feature safe:   yes
2.2.12
28 Dec 2011 06:36:19
Original commit files touched by this commit
linimon search for other commits by this committer
Mark as broken on powerpc: runs out of virtual memory during compile.

Hat:            portmgr
2.2.12
07 Jun 2011 11:12:24
Original commit files touched by this commit
wxs search for other commits by this committer
- Fix build.

Noticed by:     pav@ (via pointyhat)
Pointyhat to:   me
2.2.12
03 Jun 2011 00:42:05
Original commit files touched by this commit
wxs search for other commits by this committer
Graph-tool is an efficient python module for manipulation and statistical
analysis of graphs (a.k.a. networks).

WWW:    http://projects.skewed.de/graph-tool/

PR:             ports/157331
Submitted by:   Dikshie <dikshie@sfc.wide.ad.jp>

Number of commits found: 16